Search available GPUs
curl --request GET \
--url https://api.nova-cloud.ai/searchimport requests
url = "https://api.nova-cloud.ai/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nova-cloud.ai/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"node": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"gpu_ram_mb": 123,
"total_gpu_ram_mb": 123,
"ram_gb": 123,
"cpu_cores": 123,
"cpu_model": "<string>",
"pcie_gen": "<string>",
"max_storage_gb": 123,
"gpu_price_hourly": 123,
"interruptible_rate": 123,
"storage_price_hourly": 123,
"total_price_hourly": 123,
"reserved_discount_1mo": 123,
"reserved_discount_3mo": 123,
"reserved_discount_6mo": 123,
"available_ondemand": true,
"available_interruptible": true,
"available_reserved": true,
"location": "<string>",
"cluster_name": "<string>"
}
]Search & Pricing
Search available GPUs
Search for available GPU offers across all nodes. No authentication required.
GET
/
search
Search available GPUs
Query Parameters
Filter by GPU type (e.g., 5090, 4090, pro6000)
Filter by minimum number of GPUs
Maximum price per GPU per hour
Response
200 - application/json
List of available GPU offers
Node ID
GPU type (5090, 4090, pro6000)
VRAM per GPU in MB
System RAM in GB
On-demand GPU cost per hour
Interruptible price per GPU hour
Total hourly cost (on-demand)
Reservation discount % for 1 month
Reservation discount % for 3 months
Reservation discount % for 6 months

